# Polynomial< T, F > Class Template Reference

`#include <polynomial_root.h>`

List of all members.

## Public Member Functions

void | degree (unsigned int d, const T &def=(T) 0)
unsigned int | degree () const
const Polynomial & | operator+= (const Polynomial &p)
const Polynomial & | operator-= (const Polynomial &p)
const Polynomial & | operator*= (const Polynomial &p)

### template<typename T = float, typename F = float>
class Polynomial< T, F >

## Member Function Documentation

template<typename T = float, typename F = float>

void Polynomial< T, F >::degree | ( | unsigned int | d,
|  | const T & | def = `(T)0` |
| ) |  |  | `[inline]`

Referenced by Polynomial< T, F >::operator*=().

template<typename T = float, typename F = float>

unsigned int Polynomial< T, F >::degree | ( |  | ) | const`[inline]`

template<typename T = float, typename F = float>

const Polynomial& Polynomial< T, F >::operator+= | ( | const Polynomial< T, F > & | p | ) | `[inline]`

template<typename T = float, typename F = float>

const Polynomial& Polynomial< T, F >::operator-= | ( | const Polynomial< T, F > & | p | ) | `[inline]`

template<typename T = float, typename F = float>

const Polynomial& Polynomial< T, F >::operator*= | ( | const Polynomial< T, F > & | p | ) | `[inline]`

References Polynomial< T, F >::degree().

The documentation for this class was generated from the following file:

- polynomial_root.h